%define upstream_name    Sub-Exporter-ForMethods
%define upstream_version 0.100055

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Helper routines for using Sub::Exporter to build methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter) >= 0.978.0
BuildRequires: perl(Sub::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The synopsis section, above, looks almost indistinguishable from any other
use of Sub::Exporter, apart from the use of 'method_installer'. It is
nearly indistinguishable in behavior, too. The only change is that
subroutines exported from Method::Builder into named slots in
Vehicle::Autobot will be wrapped in a subroutine called
'Vehicle::Autobot::transform'. This will insert a named frame into stack
traces to aid in debugging.

More importantly (for the author, anyway), they will not be removed by
namespace::autoclean. This makes the following code work:

  package MyLibrary;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.100.55-2.mga10
+ Revision: 2217146
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.100.55-1.mga9
+ Revision: 1929029
- update to 0.100055

* Mon Mar 21 2022 umeabot <umeabot> 0.100.54-2.mga9
+ Revision: 1814409
- Mageia 9 Mass Rebuild

* Mon Apr 19 2021 tv <tv> 0.100.54-1.mga9
+ Revision: 1716913
- update to 0.100054

* Wed Feb 12 2020 umeabot <umeabot> 0.100.52-5.mga8
+ Revision: 1497223
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.100.52-4.mga7
+ Revision: 1271246
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.100.52-3.mga6
+ Revision: 1033487
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.100.52-2.mga6
+ Revision: 968790
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 0.100.52-1.mga6
+ Revision: 855337
- update to 0.100052

* Wed Oct 15 2014 umeabot <umeabot> 0.100.51-4.mga5
+ Revision: 744133
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.100.51-3.mga5
+ Revision: 733428
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.51-2.mga5
+ Revision: 686264
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.100.51-1.mga5
+ Revision: 585167
- update to 0.100051

* Fri Oct 18 2013 umeabot <umeabot> 0.100.50-3.mga4
+ Revision: 514711
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.50-2.mga3
+ Revision: 372885
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.100.50-1.mga1
+ Revision: 27031
- mageia rebuild
- imported package perl-Sub-Exporter-ForMethods

